BT Yahoo! An Outdated Browser

Talking about outdated browsers I’ve been working on a Magento project over the past few months and facing serious styling issues with my clients browser set up.

BT Yahoo!’s browser is custom Internet Explorer based on an outdated version of IE. However the browser reports itself as the most updated version of IE on the system. This means that the browser could be reporting itself as IE8 and in doing so misses any code served specifically to the older software.

What made the problem worse was the inability for us to recreate the situation here as the older version of BT Yahoo!’s browser is no longer available. The only solution to this was to have the client post us the setup disc for installation on a VM.

With this in place we could identify the display issues and with a little help from Firebug and an IE5 – IE7 mindset, we were able to fix the issues.

I’ve not been able to locate usage statistics on BT Yahoo!’s browser, which is a shame as I’m quite interested to know. If the core of this software is based on an outdated IE then this is a serious security issue here – there is a reason the older browsers are replaced over time. The BT Yahoo! browser itself will not work with the latest banking software.

If the response from this browser is that it is IE 7+ then Google’s drop of support message won’t get through. That really is a shame as the power of Google could really help get the message across to all users to keep their software up-to-date.

Leave a Reply

Your email address will not be published. Required fields are marked *